---
updatedAt: 2026-05-07T13:33:59.000Z
agentTools:
  projectIndex: https://docs.umbrellacost.io/llms.txt
---

# Get Channels

curl --location --request GET '[https://api.umbrellacost.io/api/v2/channels'](https://api.umbrellacost.io/api/v2/channels')  
\--header 'accept: application/json'  
\--header 'apikey: {{apikey}}'  
\--header 'authorization: {{authorization-token}}'

The response is an array of channels defined in the organization.

Channel metadata information is the same for all channels, of all types.

Channel configuration information is specific to channel type.

<br />

<br />

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Channels",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.umbrellacost.io"
    }
  ],
  "paths": {
    "/api/v2/channels": {
      "get": {
        "tags": [
          "default"
        ],
        "summary": "Get Channels",
        "description": "curl --location --request GET '[https://api.umbrellacost.io/api/v2/channels'](https://api.umbrellacost.io/api/v2/channels')  \n\\--header 'accept: application/json'  \n\\--header 'apikey: {{apikey}}'  \n\\--header 'authorization: {{authorization-token}}'",
        "parameters": [
          {
            "name": "apikey",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "{{apikey}}",
            "required": true
          },
          {
            "name": "authorization",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "{{authorization-token}}",
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "examples": {
                  "New Example": {
                    "summary": "New Example",
                    "value": [
                      {
                        "name": "MS Teams test",
                        "channelId": "0000de91-f4fb-4166-a60d-ee1cd1028c91",
                        "channelType": "MS_TEAMS",
                        "connectionData": {
                          "type": "MS_TEAMS",
                          "baseUrl": "https://prod-99.westeurope.logic.azure.com:443/workflows/{id}/triggers/manual/paths/invoke?api-version=2016-06-01&sp=%2Ftriggers%2Fmanual%2Frun&sv=1.0&sig={id}"
                        },
                        "createdBy": "test",
                        "updatedAt": "2025-02-26T13:53:40.75099",
                        "createdAt": "2025-02-26T13:53:40.75099",
                        "companyId": "0000ba34-54eb-427a-9772-cf9e417a4cdd",
                        "recipients": [
                          {
                            "channelId": "0000de91-f4fb-4166-a60d-ee1cd1028c91",
                            "adHoc": false,
                            "id": "0000024a-ecb6-429e-8625-ad6b8ff09d5d",
                            "recipientData": {
                              "type": "MS_TEAMS",
                              "dstId": "00079daf-8ce9-4aef-8193-0f7174beed4d"
                            },
                            "anodotName": "MS Teams test",
                            "createdBy": "test",
                            "createdAt": "2025-02-26T13:53:40.753535",
                            "dstId": "00009daf-8ce9-4aef-8193-0f7174beed4d"
                          }
                        ]
                      },
                      {
                        "name": "slack test",
                        "channelId": "00004c59-5ca4-4e6b-b916-4df570f52a0c",
                        "channelType": "SLACK",
                        "connectionData": {
                          "type": "SLACK",
                          "appId": "0003RTDLPPY",
                          "authUserId": "0000CV97J3W",
                          "teamId": "0000QJKK83Z"
                        },
                        "createdBy": "test",
                        "updatedAt": "2025-03-04T08:11:31.207821",
                        "createdAt": "2025-03-04T08:11:31.207821",
                        "companyId": "0000ba34-54eb-427a-9772-cf9e417a4cdd",
                        "recipients": [
                          {
                            "channelId": "b0000c59-5ca4-4e6b-b916-4df570f52a0c",
                            "adHoc": false,
                            "id": "3f1e00000-f251-4520-9465-3316b217f0b3",
                            "recipientData": {
                              "type": "SLACK",
                              "name": "channel1",
                              "dstId": "000000W0L"
                            },
                            "anodotName": null,
                            "createdBy": "test@umbrellacost.com",
                            "createdAt": "2025-03-04T08:38:32.276296",
                            "dstId": "00000RUCW0L"
                          },
                          {
                            "channelId": "bb100009-5ca4-4e6b-b916-4df570f52a0c",
                            "adHoc": false,
                            "id": "6c2c0000-44b2-4cef-958a-e248cda5c0e6",
                            "recipientData": {
                              "type": "SLACK",
                              "name": "channel2",
                              "dstId": "C000U85TGL8"
                            },
                            "anodotName": null,
                            "createdBy": "test@umbrellacost.com",
                            "createdAt": "2025-03-04T08:38:32.277695",
                            "dstId": "C0000005TGL8"
                          }
                        ]
                      },
                      {
                        "name": "test.atlassian.net",
                        "channelId": "500000809-8d55-4388-b472-300f3843037c",
                        "channelType": "JIRA_CLOUD",
                        "connectionData": {
                          "type": "JIRA_CLOUD",
                          "baseUrl": "https://test.atlassian.net",
                          "userName": "test@umbrellacost.com"
                        },
                        "createdBy": "test",
                        "updatedAt": "2025-03-11T11:43:23.732771",
                        "createdAt": "2025-03-11T11:43:23.732771",
                        "companyId": "53e1ba34-54eb-000a-9772-cf9e417a4cdd",
                        "recipients": [
                          {
                            "channelId": "5bf000009-8d55-4388-b472-300f3843037c",
                            "adHoc": false,
                            "id": "0f000075-38e7-4049-81e2-fe68a50ef730",
                            "recipientData": {
                              "type": "JIRA_CLOUD",
                              "name": "Alerts Test 1",
                              "dstId": "10660",
                              "jiraIssueInfo": {
                                "issueTypeId": "10297",
                                "name": "Task",
                                "statuses": null
                              }
                            },
                            "anodotName": "Jira test 1",
                            "createdBy": "test@umbrellacost.com",
                            "createdAt": "2025-03-11T11:43:31.527595",
                            "dstId": "10660"
                          }
                        ]
                      },
                      {
                        "name": "test service now",
                        "channelId": "0000000-d065-4edb-9d7a-7cd3cd355871",
                        "channelType": "SERVICENOW",
                        "connectionData": {
                          "type": "SERVICENOW",
                          "baseUrl": "https://test.service-now.com",
                          "userName": "testadmin"
                        },
                        "createdBy": "test",
                        "updatedAt": "2024-10-09T10:48:20.446599",
                        "createdAt": "2024-10-09T10:48:20.446599",
                        "companyId": "0000000-54eb-427a-9772-cf9e417a4cdd",
                        "recipients": [
                          {
                            "channelId": "0000000-d065-4edb-9d7a-7cd3cd355871",
                            "adHoc": false,
                            "id": "0000000-e171-46a0-b9d6-774b4c84f32a",
                            "recipientData": {
                              "type": "SERVICENOW",
                              "name": "incident",
                              "dstId": "incident"
                            },
                            "anodotName": "umbrella",
                            "createdBy": "test",
                            "createdAt": "2024-10-09T10:48:20.452341",
                            "dstId": "incident"
                          }
                        ]
                      },
                      {
                        "name": "https://jira.datacenter.app",
                        "channelId": "0000000-8e0a-4c54-8b8b-be6bb670aa41",
                        "channelType": "JIRA_DATACENTER",
                        "connectionData": {
                          "type": "JIRA_DATACENTER",
                          "baseUrl": "https://jira.datacenter.app",
                          "userName": null
                        },
                        "createdBy": "test",
                        "updatedAt": "2025-10-09T11:39:25.050585",
                        "createdAt": "2024-10-13T11:52:55.568981",
                        "companyId": "0000000-54eb-427a-9772-cf9e417a4cdd",
                        "recipients": [
                          {
                            "channelId": "0000000-8e0a-4c54-8b8b-be6bb670aa41",
                            "adHoc": false,
                            "id": "0000000-7c7f-4d00-a669-5bc42f5f4649",
                            "recipientData": {
                              "type": "JIRA_DATACENTER",
                              "name": "AL",
                              "dstId": "10000",
                              "jiraIssueInfo": {
                                "issueTypeId": "10003",
                                "name": "Task",
                                "statuses": null
                              }
                            },
                            "anodotName": "umbrella test",
                            "createdBy": "test@umbrellacost.com",
                            "createdAt": "2024-10-13T11:54:51.580509",
                            "dstId": "10000"
                          }
                        ]
                      },
                      {
                        "name": "Work Management Integration",
                        "channelId": "00000000-4d79-45ad-af5d-725dcd7edc28",
                        "channelType": "MONDAY",
                        "connectionData": {
                          "type": "MONDAY",
                          "baseUrl": "https://test.monday.com"
                        },
                        "createdBy": "",
                        "updatedAt": "2025-06-19T08:50:19.38791",
                        "createdAt": "2025-06-19T08:50:19.38791",
                        "companyId": "0000000-54eb-427a-9772-cf9e417a4cdd",
                        "recipients": [
                          {
                            "channelId": "0000000-4d79-45ad-af5d-725dcd7edc28",
                            "adHoc": false,
                            "id": "bcc6ae9e-283e-4e6f-977c-963bbcdb6453",
                            "recipientData": {
                              "type": "MONDAY",
                              "name": "Work Management Integration",
                              "dstId": "1998271796"
                            },
                            "anodotName": "TestBoard",
                            "createdBy": "test@umbrellacost.com",
                            "createdAt": "2025-06-19T08:50:37.474323",
                            "dstId": "1971796"
                          },
                          {
                            "channelId": "6234eff9-4d79-45ad-af5d-725dcd7edc28",
                            "adHoc": false,
                            "id": "95dacaa1-2dac-4cde-b517-9dfa5de01c4e",
                            "recipientData": {
                              "type": "MONDAY",
                              "name": "Subitems of Work Management Integration",
                              "dstId": "2085019"
                            },
                            "anodotName": "Monday test 001",
                            "createdBy": "user@pumbrellacost.com",
                            "createdAt": "2025-06-24T06:47:40.388629",
                            "dstId": "2085019"
                          }
                        ]
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "x-readme": {
          "code-samples": [
            {
              "code": "curl --location --request GET 'https://api.umbrellacost.io/api/v2/channels' \\\n--header 'accept: application/json' \\\n--header 'apikey: {{apikey}}' \\\n--header 'authorization: {{authorization-token}}'",
              "language": "shell",
              "name": ""
            }
          ],
          "samples-languages": [
            "shell"
          ]
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```